%define upstream_name    Expect
%define upstream_version 1.21

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	7

Summary:	Expect for Perl

License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Expect/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		%{name}-paths.patch

BuildRequires:	perl-devel
BuildRequires:	perl(IO::Tty) >= 1.02
BuildArch:		noarch

# temporary dep due to the perl-5.14 bump
BuildRequires:	perl-List-MoreUtils >= 0.320.0-4
BuildRequires:	perl-IO-Tty >= 1.100.0-3

%description
The Expect module is a successor of Comm.pl and a descendent of Chat.pl. It
more closely ressembles the Tcl Expect language than its predecessors. It does
not contain any of the networking code found in Comm.pl. I suspect this would
be obsolete anyway given the advent of IO::Socket and external tools such as
netcat.

Expect.pm is an attempt to have more of a switch() & case feeling to make
decision processing more fluid. Three separate types of debugging have been
implemented to make code production easier.

It is now possible to interconnect multiple file handles (and processes) much
like Tcl's Expect. An attempt was made to enable all the features of Tcl's
Expect without forcing Tcl on the victim programmer :-) .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
perl -pi -e 's|/usr/local/bin/perl|%{__perl}|' examples/kibitz/kibitz

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README examples tutorial
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/*.pod
%{_mandir}/*/*




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.210.0-7
+ Revision: f55f9bb
- MassBuild#440: Increase release tag


